HtmlDragIndicator (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.html.HtmlDragIndicator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlDragIndicator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIDragIndicator
                  org.richfaces.component.html.HtmlDragIndicator

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class HtmlDragIndicator

extends UIDragIndicator

Component-Type org.richfaces.DragIndicator Component-Family org.richfaces.DragIndicator Renderer-Type org.richfaces.DragIndicatorRenderer It's a component appearing under a mouse cursor during Drag'n'Drop operation and containing information on dragged element and elements.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UIDragIndicator
`DEFAULT_INDICATOR_ID`

Constructor Summary
`HtmlDragIndicator()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAcceptClass()` Corresponds to the HTML class attribute and added to an indicator when a drop is accepted Getter for acceptClass
`java.lang.String` | `getFamily()`
`java.lang.String` | `getRejectClass()` Corresponds to the HTML class attribute and added to an indicator when a drop is rejected Getter for rejectClass
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAcceptClass(java.lang.String __acceptClass)` Corresponds to the HTML class attribute and added to an indicator when a drop is accepted Setter for acceptClass
`void` | `setRejectClass(java.lang.String __rejectClass)` Corresponds to the HTML class attribute and added to an indicator when a drop is rejected Setter for rejectClass
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlDragIndicator

    public HtmlDragIndicator()

  Constructor to init default renderers

Method Detail

### setAcceptClass

    public void setAcceptClass(java.lang.String __acceptClass)

  Corresponds to the HTML class attribute and added to an indicator when a drop is accepted Setter for acceptClass

  Specified by:
    `setAcceptClass` in class `UIDragIndicator`
  Parameters:
    `acceptClass` - - new value

### getAcceptClass

    public java.lang.String getAcceptClass()

  Corresponds to the HTML class attribute and added to an indicator when a drop is accepted Getter for acceptClass

  Specified by:
    `getAcceptClass` in class `UIDragIndicator`
  Returns:
    acceptClass value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setRejectClass

    public void setRejectClass(java.lang.String __rejectClass)

  Corresponds to the HTML class attribute and added to an indicator when a drop is rejected Setter for rejectClass

  Specified by:
    `setRejectClass` in class `UIDragIndicator`
  Parameters:
    `rejectClass` - - new value

### getRejectClass

    public java.lang.String getRejectClass()

  Corresponds to the HTML class attribute and added to an indicator when a drop is rejected Getter for rejectClass

  Specified by:
    `getRejectClass` in class `UIDragIndicator`
  Returns:
    rejectClass value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `UIDragIndicator`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIComponentBase`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIComponentBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.